source("modules/Calibration/Calibration.R")
source("modules/Loading/Loading.R")
source("modules/Saving/Saving.R")
source("modules/Units/Units.R")
source("modules/Visualization/Visualization.R")
source("modules/Aggregation/Aggregation.R")

#args = commandArgs(trailingOnly = TRUE)
#recipe_file <- args[1]
recipe_file <- "/esarchive/scratch/ptrascas/R/dev-test_bigpredidata/sunset/sunset/recipes/recipe_bigpredidata_oper_subseasonal.yml"
recipe <- prepare_outputs(recipe_file)
# Load datasets
data <- Loading(recipe)
data <- Units(recipe, data)

data <- Calibration(recipe, data)

# Save calibrated hindcast, forecast and probabilities

skill_metrics <- Skill(recipe, data)
probabilities <- Probabilities(recipe, data)

Visualization(recipe = recipe, data = data, skill_metrics = skill_metrics,
                probabilities = probabilites, significance = TRUE)

